summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/cileaks.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/script/cileaks.sh b/script/cileaks.sh
new file mode 100755
index 000000000..1946e8cb0
--- /dev/null
+++ b/script/cileaks.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -x
+
+# If this platform doesn't support test execution, bail out now
+if [ -n "$SKIP_TESTS" ];
+then
+ exit $?;
+fi
+
+if [ -n "$VALGRIND" -a -e "$(which valgrind)" ]; then
+ valgrind --leak-check=full --show-reachable=yes --error-exitcode=125 --suppressions=./libgit2_clar.supp _build/libgit2_clar $@ -ionline
+fi